Page MenuHomePhabricator

Maps must link multilingual terms of use
Closed, ResolvedPublic

Description

The map embedded in a page like https://it.wikipedia.org/wiki/Giardino_di_Boboli now produces a link to https://wikimediafoundation.org/wiki/Maps_Terms_of_Use , which is English-only and not translatable. It's not acceptable to have English-only targets from the interface.

The obvious solution is to host the terms of use on Meta-Wiki and make the page translatable.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 28 2017, 12:46 PM

When we created the terms of use page, it was determined that the best place to keep legal information was on the WMF pages.

Pinging @Slaporte for feedback.

It's probably worth looking at how the link to https://wikimediafoundation.org/wiki/Cookie_statement is handled, which is also linked from the Italian page.

It's probably worth looking at how the link to https://wikimediafoundation.org/wiki/Cookie_statement is handled, which is also linked from the Italian page.

Sure, if you think you can take care of manually updating the language selector on a regular basis. Creating the translatable page on Meta and the language selector is the first step.

We can host a copy on Meta Wiki for translation, as long as the official version stays on Foundation Wiki.

debt triaged this task as Medium priority.Jul 10 2017, 9:29 PM

I've added a page on Meta for the Maps Terms of Use - we'll just need to get it marked up and ask for translations.

debt added a comment.Jul 12 2017, 4:38 PM

Page has been marked for translations.

debt added a comment.Jul 13 2017, 3:53 PM

Thanks for the translation assistance, @CKoerner_WMF! :)

@CKoerner_WMF What is the status of this ticket? It looks like nothing has happened for a while. I see there is a page. And you've asked for translations. But it looks like the map in the example is still linking to Foundation. I see the mape on meta has some translations but not all. When can we call this done? What would need to happen for that italian map to link to meta? Will they not do it until the italian translation is ready?

Basically, where does this stand and what is the next step? Thanks

If I recall we were hoping to get translations of the terms on Meta and have thus far only received one complete translation (French).

https://meta.wikimedia.org/wiki/Maps_Terms_of_Use

As we receive new translations (and I can ask again for more) we need to have someone with edit rights to edit the version on wikimediafoundation.org to add a template to the Maps Terms of Use. This template would then point to the translated versions on Meta. Similar to the template used for the Cookie statement (pointed out above) and/or the Privacy policy:

https://wikimediafoundation.org/wiki/Template:PrivacyLang

So:

  • I can ask translators for assistance again
  • Add a template to the WMF.org page so folks are aware of translations, and can see they can translate the message on Meta.
  • Update the template as new translations are made available.

I'm going to ask for more translations. I'll also help to get the language template on wmf.org so that folks can see the translations.

CKoerner_WMF closed this task as Resolved.May 4 2018, 7:43 PM

I followed what we're doing for the Privacy Policy as guidance. I added a language template to the Maps Terms of Use on wikimediafoundation.org. There are now links to the language available and I'll update as necessary.

https://wikimediafoundation.org/wiki/Maps_Terms_of_Use

I also sent an additional request for translation assistance:

https://lists.wikimedia.org/pipermail/translators-l/2018-May/004465.html